import { jsx } from "react/jsx-runtime";
import { TokenTOSHI as TokenTOSHI$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenTOSHI = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "TOSHI", "data-name": "TokenTOSHI", ...props, children: /* @__PURE__ */ jsx(TokenTOSHI$1, { variant }) });
  }
);
TokenTOSHI.displayName = "TokenTOSHI";
Object.assign(TokenTOSHI, { isGdsIcon: true });
export {
  TokenTOSHI
};
